namespace Logger;

/// <summary>
/// Interface for logging functionality
/// </summary>
public interface ILogger
{
    void Trace(string message);
    void Debug(string message);
    void Info(string message);
    void Warning(string message);
    void Error(string message);
    void Fatal(string message);
    void Log(LogLevel level, string message);
}
